> ## Documentation Index
> Fetch the complete documentation index at: https://enzohealth-12c99f25.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get patient by id



## OpenAPI

````yaml get /v1/patient/{patientId}
openapi: 3.0.3
info:
  title: Enzo API
  description: OpenAPI compliant REST API built using tRPC with Next.js
  version: 1.0.0
servers:
  - url: https://app.enzo.health/api
security: []
externalDocs:
  url: https://docs.enzo.health/api
paths:
  /v1/patient/{patientId}:
    get:
      tags:
        - Patients
      summary: Get patient by id
      operationId: patients-getPatientById
      parameters:
        - in: path
          name: patientId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                    nullable: true
                  firstname:
                    type: string
                    nullable: true
                  middlename:
                    type: string
                    nullable: true
                  lastname:
                    type: string
                    nullable: true
                  email:
                    type: string
                    nullable: true
                  suffix:
                    type: string
                    nullable: true
                  image:
                    type: string
                    nullable: true
                  dob:
                    type: string
                    nullable: true
                  deceased:
                    type: boolean
                    nullable: true
                  sex:
                    type: string
                    nullable: true
                  fmrn:
                    type: string
                    nullable: true
                  omrn:
                    type: string
                    nullable: true
                  ssn:
                    type: string
                    nullable: true
                  address:
                    type: string
                    nullable: true
                  city:
                    type: string
                    nullable: true
                  state:
                    type: string
                    nullable: true
                  stateZIP:
                    type: string
                    nullable: true
                  county:
                    type: string
                    nullable: true
                  aptNumber:
                    type: string
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  homePhone:
                    type: string
                    nullable: true
                  workPhone:
                    type: string
                    nullable: true
                  cellPhone:
                    type: string
                    nullable: true
                  fax:
                    type: string
                    nullable: true
                  language:
                    type: string
                    nullable: true
                  locationType:
                    type: string
                    nullable: true
                    enum:
                      - HOME
                      - ASSISTED_FACILITY
                      - OTHER
                      - null
                  residenceType:
                    type: string
                    nullable: true
                    enum:
                      - HOME
                      - SNF
                      - NF
                      - ASSISTED_FACILITY
                      - null
                  residenceName:
                    type: string
                    nullable: true
                  timezone:
                    type: string
                    nullable: true
                    enum:
                      - EST
                      - CST
                      - MST
                      - PST
                      - AST
                      - HST
                      - AK
                      - null
                  physician:
                    type: string
                    nullable: true
                  admissionSource:
                    type: string
                    nullable: true
                    enum:
                      - NON_HEALTH_CARE_FACILITY
                      - CLINIC
                      - HOSPITAL
                      - SNF
                      - HEALTH_CARE_FACILITY
                      - COURT_LAW
                      - NA
                      - null
                  insuranceProvider:
                    type: string
                    nullable: true
                  medicareNumber:
                    type: string
                    nullable: true
                  medicaidNumber:
                    type: string
                    nullable: true
                  creationMode:
                    type: string
                    nullable: true
                    enum:
                      - MANUAL
                      - AUTOMATED
                      - null
                  ingestionStatus:
                    type: string
                    nullable: true
                    enum:
                      - NOT_STARTED
                      - IN_PROGRESS
                      - ERROR
                      - COMPLETED
                      - null
                  ingestionPipelineId:
                    type: string
                    nullable: true
                  record:
                    type: string
                    enum:
                      - CAREGIVER
                      - PATIENT
                      - OTHER
                  stage:
                    type: string
                    nullable: true
                    enum:
                      - LEAD
                      - QUALIFIED
                      - OPPORTUNITY
                      - LOST
                      - WON
                      - null
                  organizationId:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  surgeContactId:
                    type: string
                    nullable: true
                  attachments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        version:
                          type: integer
                        filename:
                          type: string
                        description:
                          type: string
                          nullable: true
                        key:
                          type: string
                        size:
                          type: integer
                        mimeType:
                          type: string
                        objectPath:
                          type: string
                        organizationId:
                          type: string
                        patientId:
                          type: string
                          nullable: true
                        jobId:
                          type: string
                          nullable: true
                        uploadedById:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - version
                        - filename
                        - key
                        - size
                        - mimeType
                        - objectPath
                        - organizationId
                        - createdAt
                        - updatedAt
                required:
                  - id
                  - record
                  - organizationId
                  - createdAt
                  - updatedAt
                  - attachments
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````